using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using FiltronASP.Helpers.Constants;

namespace FiltronASP.Models.DAO.Interfaces.Filtron
{
    /// <summary>
    /// Interfejs dla operacji bazodanowych specyficznych dla tabeli <code>Filtron_filter_interchanges</code>.
    /// </summary>
    public interface IFiltronInterchangeDAO : IGenericDAO<FiltronInterchange, System.Nullable<int>>
    {
        IQueryable<FiltronInterchange> FindByForeignFilterNameEquals(string filterNumber);
        IQueryable<FiltronInterchange> FindByOwnFilterNameEqualsOnlyOe(int filterId);
        IQueryable<FiltronInterchange> FindByForeignFilterName(string filterNumber);
        IQueryable<FiltronInterchange> FindByForeignFilterNameLimited(string filterNumber);
        IQueryable<FiltronInterchange> FindByForeignFilterNameLimited(string filterNumber, Constants.TSearchInclusionMode searchMode);
        IQueryable<FiltronInterchange> FindByForeignFilterNameLimited(string filterNumber, Constants.TSearchInclusionMode searchMode, int limit);
    }
}
